petsc-3.12.4 2020-02-04
Report Typos and Errors

# PetscMatlabEnginePut

Puts a Petsc object into the MATLAB space. For parallel objects, each processors part is put in a separate MATLAB process.

### Synopsis

    #include "petscmatlab.h"
    PetscErrorCode  PetscMatlabEnginePut(PetscMatlabEngine mengine,PetscObject obj)

Collective on PetscObject

### Input Parameters

| mengine | - the MATLAB engine
| object | - the PETSc object, for example Vec

Note: Mats transferred between PETSc and MATLAB and vis versa are transposed in the other space (this is because MATLAB uses compressed column format and PETSc uses compressed row format)

### See Also

PetscMatlabEngineDestroy(), PetscMatlabEngineCreate(), PetscMatlabEngineGet(),
PetscMatlabEngineEvaluate(), PetscMatlabEngineGetOutput(), PetscMatlabEnginePrintOutput(), PETSC_MATLAB_ENGINE_(), PetscMatlabEnginePutArray(), MatlabEngineGetArray(), PetscMatlabEngine

### Level

advanced

### Location

src/sys/classes/matlabengine/matlab.c

### Examples

src/snes/examples/tutorials/ex5.c.html
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages